Create Applicant: Propertyware
https://api.propexo.com/v1/applicants/propertyware/| Method |
|---|
| createApplicant |
| attachDocumentToContact |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address
Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.
City of the applicant's primary address. This maps to the city property of the Applicant's primary address.
custom_data objectdeprecated
Deprecated: Field is no longer applicable
Date of birth of the applicant. This maps to the birthDate property of the Applicant object.
The primary email address for the applicant. This value maps to the email property of the Applicant object
The first name of the applicant. This value maps to the firstName property of the Applicant object.
The last name of the applicant. This value maps to the lastName property of the Applicant object
Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.
The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
Show 4 enum values
HOMEWORKMOBILEFAXApplicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.
The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
Show 4 enum values
HOMEWORKMOBILEFAXState of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.
The Propexo unique identifier for the unit
Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.
attachments object[]
Files to upload to the applicant.
The contents of the file, as a base64 encoded string. The PMS has a max file size of 12 MB.
Possible values: <= 16735272 characters
The name of the file
General notes about the file
If the file should be marked as private
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
custom_data object | nullrequired
Show 4 enum values
HOMEWORKMOBILEFAXShow 4 enum values
HOMEWORKMOBILEFAXattachments object[]required
The contents of the file, as a base64 encoded string. The PMS has a max file size of 12 MB.
Possible values: <= 16735272 characters
The name of the file
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/applicants/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_id": "string",
"integration_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"property_id": "string",
"integration_id": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"state": "string",
"unit_id": "string",
"zip": "string",
"attachments": "Unknown Type: array,null"
}
}